1. Trading Limits
Bitpanda API
  • REST API
    • Overview
    • API key generation
    • Migrating from the legacy API
    • Endpoints
      • Quotes
        • Create a trading quote
        • Accept a trading quote
      • Portfolio
        • Get portfolio overview
        • Get portfolio performance history
      • Operations
        • List operations
      • Currencies
        • List available currencies
      • Assets
        • List available assets
      • Earn
        • Execute an earn action (stake or unstake)
        • List earn asset configurations
      • Tickers
        • Get the ticker for a given asset
      • Trading Limits
        • Get current trading limits and remaining budget
          GET
        • Set daily trading volume limits for this API key
          POST
      • Margin
        • Get the leverage multipliers currently allowed for margin trading an asset
      • Crypto Networks
        • Get the blockchain networks supported for depositing and withdrawing a crypto asset
  • MCP Server
    • Getting Started
    • Tools
  • Rate Limits
    • API and MCP Rate Limits
  • Feedback & Support
    • Community Hub
  1. Trading Limits

Set daily trading volume limits for this API key

POST
/v1/trading-limits

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Body Params application/jsonRequired

Example
{
    "buy_limit": 1000,
    "sell_limit": 500,
    "currency_id": "b88b8466-efe3-11eb-b56f-0691764446a7"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.public.bitpanda.com/v1/trading-limits' \
--header 'x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "buy_limit": 1000,
    "sell_limit": 500,
    "currency_id": "b88b8466-efe3-11eb-b56f-0691764446a7"
}'

Responses

🟢200
*/*
Trading limits configured successfully
Body*/*

Example
{
    "data": {
        "buy_limit": 0,
        "sell_limit": 0,
        "currency_id": "305e0674-ee79-42b7-bf83-278294a47a7b",
        "buy_budget_remaining": 0,
        "sell_budget_remaining": 0
    }
}
🟠400
🟠409
🔴500
Modified at 2026-09-23 07:30:24
Previous
Get current trading limits and remaining budget
Next
Get the leverage multipliers currently allowed for margin trading an asset
Built with